Skip to content

Configure GCP VPC Site Information.

POST
/api/config/namespaces/{namespace}/gcp_vpc_site/{name}/set_cloud_site_info
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/gcp_vpc_site/example/set_cloud_site_info \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "aws_vpc_info": { "private_ips": [ "example" ], "public_ips": [ "example" ] }, "name": "example", "namespace": "example" }'

Configure GCP VPC Site Information like public, private ips, subnet IDs and others.

Examples of this operation.

namespace
required
string

Namespace Namespace for the object to be configured.

name
required
string

Name Name of the object to be configured.

Media typeapplication/json
Request to configure Cloud Site Information

Request to configure Cloud Site Information.

object
aws_vpc_info
object
private_ips
GCP Node Private IPs

GCP Private IPs used by the nodes Required: YES.

Array<string>
public_ips
GCP Node Public IPs

GCP Node Public IPs used by the nodes Required: YES.

Array<string>
name
Name

Name of the object to be configured.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace for the object to be configured.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"aws_vpc_info": {
"private_ips": [
"example"
],
"public_ips": [
"example"
]
},
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Response to configure Cloud Site Information

Response to configure configure Cloud Site Information.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example